Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.labels
Class LabellingImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.labels.LabellingImpl

All Implemented Interfaces:
  BambooObject, Labelling

    public class LabellingImpl

extends BambooEntityObject
implements Labelling

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`LabellingImpl()`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`Build` | `getBuild()`
`BuildResultsSummary` | `getBuildResultsSummary()`
`Label` | `getLabel()`
`Project` | `getProject()`
`String` | `getUserName()`
`int` | `hashCode()`
`void` | `setBuild(Build build)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setLabel(Label label)`
`void` | `setProject(Project project)`
`void` | `setUserName(String userName)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.labels.Labelling
`getCreationDate, getLastModificationDate, setCreationDate, setLastModificationDate`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### LabellingImpl

    public LabellingImpl()

Method Detail

### getLabel

    public Label getLabel()

  Specified by:
    `getLabel` in interface `Labelling`

### setLabel

    public void setLabel(Label label)

  Specified by:
    `setLabel` in interface `Labelling`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary()

  Specified by:
    `getBuildResultsSummary` in interface `Labelling`

### setBuildResultsSummary

    public void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

  Specified by:
    `setBuildResultsSummary` in interface `Labelling`

### getProject

    public Project getProject()

  Specified by:
    `getProject` in interface `Labelling`

### setProject

    public void setProject(Project project)

  Specified by:
    `setProject` in interface `Labelling`

### getBuild

    public Build getBuild()

  Specified by:
    `getBuild` in interface `Labelling`

### setBuild

    public void setBuild(Build build)

  Specified by:
    `setBuild` in interface `Labelling`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `Labelling`

### setUserName

    public void setUserName(String userName)

  Specified by:
    `setUserName` in interface `Labelling`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.